import {defineStore} from "pinia";

export const useRecordStore = defineStore('Record', {
    state: () => ({
        infos: [
            {
                "title": "红楼梦",
                "borrow_date": "2024-12-01",
                "due_date": "2024-12-15",
                "status": "已归还"
            },
            {
                "title": "三国演义",
                "borrow_date": "2024-12-05",
                "due_date": "2024-12-19",
                "status": "在借"
            },
            {
                "title": "西游记",
                "borrow_date": "2024-12-10",
                "due_date": "2024-12-24",
                "status": "逾期"
            },
            {
                "title": "水浒传",
                "borrow_date": "2024-12-15",
                "due_date": "2024-12-29",
                "status": "在借"
            },
            {
                "title": "围城",
                "borrow_date": "2024-11-20",
                "due_date": "2024-12-04",
                "status": "已归还"
            },
            {
                "title": "小王子",
                "borrow_date": "2024-12-18",
                "due_date": "2025-01-01",
                "status": "在借"
            },
            {
                "title": "平凡的世界",
                "borrow_date": "2024-12-02",
                "due_date": "2024-12-16",
                "status": "逾期"
            },
            {
                "title": "活着",
                "borrow_date": "2024-12-08",
                "due_date": "2024-12-22",
                "status": "在借"
            },
            {
                "title": "百年孤独",
                "borrow_date": "2024-11-30",
                "due_date": "2024-12-14",
                "status": "已归还"
            },
            {
                "title": "白夜行",
                "borrow_date": "2024-12-12",
                "due_date": "2024-12-26",
                "status": "在借"
            }
        ]
    }),
    actions: {}
})